#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "input/Buttons.h"
#include "math/Vector.h"

class Controller {
    Buttons& buttons;

public:
    Button left;
    Button right;
    Button up;
    Button down;
    Button jump;
    Button sneak;
    Button camLeft;
    Button camRight;
    Button camUp;
    Button camDown;

    Button leftClick;
    Button rightClick;

    Controller(Buttons& buttons);

    Vector2 getMouse() const;
    Vector2 getMouseChange() const;
};

#endif